Max Advance Booking Offset Rate Plan
1 min
Max Advance Booking Offset Rate Plan
Pushes the max advance booking condition updates from Connectivity Partner to Bakuun.
This action specifies the max number of days in advance that a booking can be made, based on the hotel’s configuration.
It ensures both systems enforce the same rules for maximum advance booking periods.
POST
https://wsb.bakuun.com/v2/push-ari/TPSXXX/XXXXX
Body Parameters
- sharePoststringrequiredDescription
- sourceIdstringrequiredDescription
- propertyIdstringrequiredDescription
- actionstringrequiredDescription
- dataobjectrequiredDescription
- startDateYmdstringrequiredDescription
- endDateYmdstringrequiredDescription
- roomIdstringrequiredDescription
- rateIdstringrequiredDescription
- minMaxMessageTypestringrequiredDescription
- TimestringrequiredDescription
Response
- successboolean
- trackingIdstring
json
{
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "SetAdvBookingCondRQ",
"data": [
{
"startDateYmd": "YYYY-MM-DD",
"endDateYmd": "YYYY-MM-DD",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "MaxAdvBooking"
"Time": "string"
}
]
}curl
curl --location 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"sharePost":"string","sourceId":"string","propertyId":"string","action":"string","data":{"startDateYmd":"string","endDateYmd":"string","roomId":"string","rateId":"string","minMaxMessageType":"string","Time":"string"}}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "string",
"data": {
"startDateYmd": "string",
"endDateYmd": "string",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "string",
"Time": "string"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "string",
"data": {
"startDateYmd": "string",
"endDateYmd": "string",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "string",
"Time": "string"
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://wsb.bakuun.com/v2/push-ari/CPB46/881826", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://wsb.bakuun.com/v2/push-ari/CPB46/881826"
payload = json.dumps({
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "string",
"data": {
"startDateYmd": "string",
"endDateYmd": "string",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "string",
"Time": "string"
}
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://wsb.bakuun.com/v2/push-ari/CPB46/881826")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "string",
"data": {
"startDateYmd": "string",
"endDateYmd": "string",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "string",
"Time": "string"
}
})
response = https.request(request)
puts response.read_body
200
{
"success": true,
"trackingId": "68c168dd04829387650a476d"
}402
{
"success": false,
"errors": [
{
"code": 402,
"message": "Invalid parameter"
}
],
"trackingId": "68c168dd04829387650a476d"
}404
{
"success": false,
"errors": [
{
"code": 404,
"message": "Invalid start date"
}
],
"trackingId": "68c168dd04829387650a476d"
}405
{
"success": false,
"errors": [
{
"code": 405,
"message": "Invalid end date"
}
],
"trackingId": "68c168dd04829387650a476d"
}408
{
"success": false,
"errors": [
{
"code": 408,
"message": "Processing error"
}
],
"trackingId": "68c168dd04829387650a476d"
}415
{
"success": false,
"errors": [
{
"code": 415,
"message": "Invalid authentication key"
}
],
"trackingId": "68c168dd04829387650a476d"
}416
{
"success": false,
"errors": [
{
"code": 416,
"message": "Overlapping data range"
}
],
"trackingId": "68c168dd04829387650a476d"
}417
{
"success": false,
"errors": [
{
"code": 440,
"message": "Invalid source ID"
}
],
"trackingId": "68c168dd04829387650a476d"
}418
{
"success": false,
"errors": [
{
"code": 442,
"message": "Endpoint is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}421
{
"success": false,
"errors": [
{
"code": 446,
"message": "Invalid property mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}422
{
"success": false,
"errors": [
{
"code": 451,
"message": "Invalid room mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}423
{
"success": false,
"errors": [
{
"code": 453,
"message": "Mapping is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}424
{
"success": false,
"errors": [
{
"code": 454,
"message": "Invalid endpoint"
}
],
"trackingId": "68c168dd04829387650a476d"
}425
{
"success": false,
"errors": [
{
"code": 471,
"message": "Channel ID blocked"
}
],
"trackingId": "68c168dd04829387650a476d"
}426
{
"success": false,
"errors": [
{
"code": 453,
"message": "Mapping is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}428
{
"success": false,
"errors": [
{
"code": 454,
"message": "Invalid endpoint"
}
],
"trackingId": "68c168dd04829387650a476d"
}429
{
"success": false,
"errors": [
{
"code": 452,
"message": "Invalid rate plan mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}500
{
"success": false,
"errors": [
{
"code": 500,
"message": "Internal server error"
}
],
"trackingId": "68c168dd04829387650a476d"
}502
{
"success": false,
"errors": [
{
"code": 502,
"message": "Bad gateway"
}
],
"trackingId": "68c168dd04829387650a476d"
}503
{
"success": false,
"errors": [
{
"code": 503,
"message": "Service unavailable"
}
],
"trackingId": "68c168dd04829387650a476d"
}504
{
"success": false,
"errors": [
{
"code": 504,
"message": "Endpoint request timed-out"
}
],
"trackingId": "68c168dd04829387650a476d"
}